CGAL 6.1.2 - 3D Isosurfacing: CGAL::Isosurfacing::Interpolated_discrete_values_3< Grid, InterpolationScheme > Class Template Reference

CGAL 6.1.2 - 3D Isosurfacing

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Isosurfacing::Interpolated_discrete_values_3< Grid, InterpolationScheme > Class Template Reference
Reference Manual » Value and Gradient Fields

`#include <CGAL/Isosurfacing_3/Interpolated_discrete_values_3.h>`

## Definition

template<typename Grid, typename InterpolationScheme = Trilinear_interpolation<Grid>>
class CGAL::Isosurfacing::Interpolated_discrete_values_3< Grid, InterpolationScheme >

Class template for a field of values that are calculated using discrete values and interpolation.

Is model of
  `IsosurfacingValueField_3`

Template Parameters

  Grid | must be `CGAL::Isosurfacing::Cartesian_grid_3<GeomTraits>`, with `GeomTraits` a model of `IsosurfacingTraits_3`
  InterpolationScheme | must be a model of `IsosurfacingInterpolationScheme_3`

Examples
  Isosurfacing_3/contouring_discrete_data.cpp, Isosurfacing_3/contouring_inrimage.cpp, and Isosurfacing_3/contouring_vtk_image.cpp.

## Public Member Functions
| Interpolated_discrete_values_3 (const Grid &grid, const InterpolationScheme &interpolation=InterpolationScheme())
FT & | operator() (const std::size_t i, const std::size_t j, const std::size_t k)
| returns the scalar value stored at the grid vertex described by its three indices.
FT | operator() (const std::size_t i, const std::size_t j, const std::size_t k) const
| returns the scalar value stored at the grid vertex described by its three indices.
FT | operator() (const vertex_descriptor &v) const
| returns the interpolated value at vertex `v`.
FT | operator() (const Point_3 &p) const
| returns the interpolated value at point `p`.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Grid , typename InterpolationScheme = Trilinear_interpolation<Grid>>

FT & CGAL::Isosurfacing::Interpolated_discrete_values_3< Grid, InterpolationScheme >::operator() | ( | const std::size_t | i,
|  | const std::size_t | j,
|  | const std::size_t | k
| ) |  |

returns the scalar value stored at the grid vertex described by its three indices.

Note
  This function can be used to set the value at a grid vertex.

Parameters

  i | the index in the `x` direction
  j | the index in the `y` direction
  k | the index in the `z` direction

Precondition
  `i < xdim()` and `j < ydim()` and `k < zdim()`

## ◆ operator()() [2/2]

template<typename Grid , typename InterpolationScheme = Trilinear_interpolation<Grid>>

FT CGAL::Isosurfacing::Interpolated_discrete_values_3< Grid, InterpolationScheme >::operator() | ( | const std::size_t | i,
|  | const std::size_t | j,
|  | const std::size_t | k
| ) |  | const

returns the scalar value stored at the grid vertex described by its three indices.

Parameters

  i | the index in the `x` direction
  j | the index in the `y` direction
  k | the index in the `z` direction

Precondition
  `i < xdim()` and `j < ydim()` and `k < zdim()`